<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * MesaServiciosSeguimiento
 *
 * @ORM\Table(name="mesa_servicios_seguimiento", indexes={@ORM\Index(name="cve_mes_ser", columns={"cve_mes_ser"}), @ORM\Index(name="cve_emp", columns={"cve_emp"})})
 * @ORM\Entity
 */
class MesaServiciosSeguimiento
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_mes_ser_seg", type="bigint", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideMesSerSeg;

    /**
     * @var string
     *
     * @ORM\Column(name="respuesta", type="text", length=65535, nullable=false)
     */
    private $respuesta;

    /**
     * @var integer
     *
     * @ORM\Column(name="visto", type="integer", nullable=false)
     */
    private $visto = '0';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_visto", type="datetime", nullable=true)
     */
    private $fecVisto = 'NULL';

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="fec_mov", type="date", nullable=false)
     */
    private $fecMov;

    /**
     * @var \DateTime
     *
     * @ORM\Column(name="hor_mov", type="time", nullable=false)
     */
    private $horMov;

    /**
     * @var \MesaServicios
     *
     * @ORM\ManyToOne(targetEntity="MesaServicios")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_mes_ser", referencedColumnName="ide_mes_ser")
     * })
     */
    private $cveMesSer;

    /**
     * @var \Empleados
     *
     * @ORM\ManyToOne(targetEntity="Empleados")
     * @ORM\JoinColumns({
     *   @ORM\JoinColumn(name="cve_emp", referencedColumnName="ide_emp")
     * })
     */
    private $cveEmp;



    /**
     * Get ideMesSerSeg
     *
     * @return integer
     */
    public function getIdeMesSerSeg()
    {
        return $this->ideMesSerSeg;
    }

    /**
     * Set respuesta
     *
     * @param string $respuesta
     *
     * @return MesaServiciosSeguimiento
     */
    public function setRespuesta($respuesta)
    {
        $this->respuesta = $respuesta;
    
        return $this;
    }

    /**
     * Get respuesta
     *
     * @return string
     */
    public function getRespuesta()
    {
        return $this->respuesta;
    }

    /**
     * Set visto
     *
     * @param integer $visto
     *
     * @return MesaServiciosSeguimiento
     */
    public function setVisto($visto)
    {
        $this->visto = $visto;
    
        return $this;
    }

    /**
     * Get visto
     *
     * @return integer
     */
    public function getVisto()
    {
        return $this->visto;
    }

    /**
     * Set fecVisto
     *
     * @param \DateTime $fecVisto
     *
     * @return MesaServiciosSeguimiento
     */
    public function setFecVisto($fecVisto)
    {
        $this->fecVisto = $fecVisto;
    
        return $this;
    }

    /**
     * Get fecVisto
     *
     * @return \DateTime
     */
    public function getFecVisto()
    {
        return $this->fecVisto;
    }

    /**
     * Set fecMov
     *
     * @param \DateTime $fecMov
     *
     * @return MesaServiciosSeguimiento
     */
    public function setFecMov($fecMov)
    {
        $this->fecMov = $fecMov;
    
        return $this;
    }

    /**
     * Get fecMov
     *
     * @return \DateTime
     */
    public function getFecMov()
    {
        return $this->fecMov;
    }

    /**
     * Set horMov
     *
     * @param \DateTime $horMov
     *
     * @return MesaServiciosSeguimiento
     */
    public function setHorMov($horMov)
    {
        $this->horMov = $horMov;
    
        return $this;
    }

    /**
     * Get horMov
     *
     * @return \DateTime
     */
    public function getHorMov()
    {
        return $this->horMov;
    }

    /**
     * Set cveMesSer
     *
     * @param \CmBundle\Entity\MesaServicios $cveMesSer
     *
     * @return MesaServiciosSeguimiento
     */
    public function setCveMesSer(\CmBundle\Entity\MesaServicios $cveMesSer = null)
    {
        $this->cveMesSer = $cveMesSer;
    
        return $this;
    }

    /**
     * Get cveMesSer
     *
     * @return \CmBundle\Entity\MesaServicios
     */
    public function getCveMesSer()
    {
        return $this->cveMesSer;
    }

    /**
     * Set cveEmp
     *
     * @param \CmBundle\Entity\Empleados $cveEmp
     *
     * @return MesaServiciosSeguimiento
     */
    public function setCveEmp(\CmBundle\Entity\Empleados $cveEmp = null)
    {
        $this->cveEmp = $cveEmp;
    
        return $this;
    }

    /**
     * Get cveEmp
     *
     * @return \CmBundle\Entity\Empleados
     */
    public function getCveEmp()
    {
        return $this->cveEmp;
    }
}
